Bug 807513 - Domain is destroyed successfully even if you specify a wrong namespace
Domain is destroyed successfully even if you specify a wrong namespace
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: Ravi Sankar
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 22:47 EDT by jizhao
Modified: 2015-05-14 21:49 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 14:31:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jizhao 2012-03-27 22:47:20 EDT
Description of problem:
Domain is successfully destroyed with a wrong namespace parameter.

Version-Release number of selected component (if applicable):
rhc-0.89.7-1.el6_2.noarch

How reproducible:
Always

Steps to Reproduce:
1.Create domain
$ rhc domain create -n <domain_name> -l <user_email>
2.Destroy domain with a wrong namespace parameter
$ rhc domain destroy -n <invalid_domain_name> -l <user_email>
3.
  
Actual results:
Domain is destroyed successfully.
<------------output-------------->
[root@guest ~]# rhc domain destroy -l jizhao+2@redhat.com -d -n jizhao
Password: 
Submitting form:
namespace: jizhao
delete: true
rhlogin: jizhao+2@redhat.com
Contacting https://ec2-23-20-152-133.compute-1.amazonaws.com
Response from server:
DEBUG:


Exit Code: 0
api_c: placeholder
broker_c: namespacerhloginsshapp_uuiddebugaltercartridgecart_typeactionapp_nameapi
API version:    1.1.3
Success
<-------------------------------->

Expected results:
Domain shouldn't be destroyed. The client should prompt something like "invalid domain name" or so.

Additional info:
Comment 1 Ravi Sankar 2012-04-09 18:27:38 EDT
Fixed in git rev ebd4f2a721286
Comment 2 Meng Bo 2012-04-10 04:03:44 EDT
verified with devenv_1704,
issue has been fixed.
Comment 3 Mike McGrath 2012-04-10 10:47:00 EDT
Re opening, this commit has been reverted as it broke the automated testing.
Comment 4 Ravi Sankar 2012-04-10 17:57:00 EDT
Fixed in git rev a4f2e631e67a6
Comment 5 jizhao 2012-04-11 01:07:05 EDT
Verified on devenv_1713.

Note You need to log in before you can comment on or make changes to this bug.